summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-08-22 18:31:38 +0200
committer Eric Hameleers <alien@slackware.com>2016-08-22 18:31:38 +0200
commitebd87d8a49dcfd524bc745b5563e994c188cd755 (patch)
tree097bb02d4e1a53e431702ff7311dd5300b44b86e /deps/qt5/qt5.SlackBuild
parent6dce8be4bf0af44260b77fef4d1ba635c620bc8c (diff)
downloadktown-ebd87d8a49dcfd524bc745b5563e994c188cd755.tar.gz
ktown-ebd87d8a49dcfd524bc745b5563e994c188cd755.tar.xz
deps: Qt5 updated to 5.7.0 and rebuilt packages depending on it.
Updated: - qt5 Rebuilt against new qt5: - qt5-webkit - PyQt5 - sni-qt - qca-qt5 - qt-gstreamer - phonon - libdbusmenu-qt5 - polkit-qt5-1 - grantlee Original Slackware package rebuilt (to add Qt5 support): - poppler
Diffstat (limited to 'deps/qt5/qt5.SlackBuild')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild31
1 files changed, 11 insertions, 20 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index e7df254..9b57607 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -47,9 +47,10 @@
# Modifications for qt 5.5.1 2015,2016 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.6.0 2016 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.6.1 2016 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.7.0 2016 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.6.1-1}
+VERSION=${VERSION:-5.7.0}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
BUILD=${BUILD:-1}
@@ -134,25 +135,15 @@ fi
# Fix path to mysql header:
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
-## Properly detect ALSA version 1.1.0 as being newer than 1.0.10:
-#cat $CWD/patches/qt5.alsa.patch | patch -p1 --verbose || exit 1
-#
-## Build with explicitlib, preventing linker errors:
-#cd qtbase
-# cat $CWD/patches/qt5.qtbug-51621.patch | patch -p1 --verbose || exit 1
-#cd -
-#
-## Backport fixes for QtDBus deadlocks:
-#cd qtbase
-# cat $CWD/patches/qt5.qtbug-51648.patch | patch -p1 --verbose || exit 1
-# cat $CWD/patches/qt5.qtbug-51649.patch | patch -p1 --verbose || exit 1
-# cat $CWD/patches/qt5.qtbug-51676.patch | patch -p1 --verbose || exit 1
-#cd -
-#
-## qtwebengine fails to build with system nss 3.23:
-#cd qtwebengine
-# cat $CWD/patches/qt5.qtbug-51890.patch | patch -p1 --verbose || exit 1
-#cd -
+# Fix UNSIGNED values in QMYSQL:
+cd qtbase
+ cat $CWD/patches/qt5.qtbug-53237.patch | patch -p1 --verbose || exit 1
+cd -
+
+# Fix freetype engine performance:
+cd qtbase
+ cat $CWD/patches/qt5.qtbug-49452.patch | patch -p1 --verbose || exit 1
+cd -
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine: